# Linkify Tags

A plugin for WordPress that turns a string, list, or array of tag IDs and/or slugs into a list of links to those tag archives. Provides a widget and template tag.

This plugin is available in the WordPress Plugin Directory: https://wordpress.org/plugins/linkify-tags/


## Installation

1. Install via the built-in WordPress plugin installer. Or install the plugin code inside the plugins directory for your site (typically `/wp-content/plugins/`).
2. Activate the plugin through the 'Plugins' admin menu in WordPress
3. Optional: Use the `c2c_linkify_tags()` template tag in one of your templates (be sure to pass it at least the first argument indicating what tag IDs and/or slugs to linkify -- the argument can be an array, a space-separate list, or a comma-separated list). Other optional arguments are available to customize the output.
4. Optional: Use the "Linkify Tags" widget in one of the sidebars provided by your theme.


## Additional Documentation

* See [readme.txt](https://github.com/coffee2code/linkify-tags/blob/master/readme.txt) for additional usage information.
* See [DEVELOPER-DOCS.md](DEVELOPER-DOCS.md) for developer-related documentation on hooks and template tags.
* See [CHANGELOG.md](CHANGELOG.md) for the list of changes for each release.


## Support

Commercial support and custom development are not presently available. You can raise an [issue](https://github.com/coffee2code/linkify-tags/issues) on GitHub or post in the [plugin's support forum on WordPress.org](https://wordpress.org/support/plugin/linkify-tags/).

If the plugin has been of benefit to you, how about [submitting a review](https://wordpress.org/support/plugin/linkify-tags/reviews/) for it in the WordPress Plugin Directory or considering a [donation](https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=6ARCFJ9TX3522)?


## License

This plugin is free software; you can redistribute it and/or modify it under the terms of the [GNU General Public License](https://www.gnu.org/licenses/gpl-2.0.html) as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.